@font-face {
    font-family: IBMPlexMono;
    font-style: italic;
    src:
      url(assets/fonts/IBMPlexMono-Light.ttf);
}

html {
    width: 100%;
}

body {
    background-color: #ffffff;
    align-items: center;
    text-align: center;
    font-family: IBMPlexMono;
    color: #252525;
    font-weight: 100;
    @media (prefers-color-scheme: dark) {
        background-color: #000000;
        color: #ffffff;
    }
}

@keyframes fadein {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.fadein-animation {
  animation: 3s fadein;
}

.sitepic {
    height: 375px;
    width: 100%;
    object-fit: cover;
}

a.menu:link, a.menu:visited {
    color: rgb(0, 120, 120);
    text-decoration: none;
    transition: 0.5s;
    @media (prefers-color-scheme: dark) {
        color: rgb(0, 180, 180);
    }
}

a.menu:hover {
    color: #252525;
    @media (prefers-color-scheme: dark) {
        color: #ffffff;
    }
}

.block-info {
    border: 1px solid #cecece;
    border-radius: 15px;
    margin: auto;
    padding: 15px;
    width: fit-content;
    max-width: 100%;
    height: fit-content;
    transition: 0.5s;
    display: flex;
    justify-content: space-around;
    @media (prefers-color-scheme: dark) {
        border: 1px solid #a0a0a0;
    }
}

.block-info:hover {
    border: 1px solid #252525;
    @media (prefers-color-scheme: dark) {
        border: 1px solid #ffffff
    }
}

.interlude-line {
    border-left: 1px solid #cecece;
    border-top: 1px solid #cecece;
    border-bottom: 1px solid #cecece;
    margin: auto;
    width: fit-content;
    @media (prefers-color-scheme: dark) {
        border-left: 1px solid #a0a0a0;
        border-top: 1px solid #a0a0a0;
        border-bottom: 1px solid #a0a0a0;
    }
}

.contacts {
    border-radius: 50%;
    border: 2px solid #cecece;
    width: 40px;
    height: 40px;
    margin-bottom: 40px;
    margin-left: 20px;
    display: inline-block;
    transition: 0.5s ease;
    @media (prefers-color-scheme: dark) {
        border: 2px solid #a0a0a0;
    }
}

.contacts img {
    width: 20px;
    height: 20px;
    margin-top: 10px;
}

.contacts:hover {
    border: 2px solid #252525;
    @media (prefers-color-scheme: dark) {
        border: 2px solid #ffffff
    }
}

.list-image {
    border-radius: 15px;
    object-position: center;
    object-fit: cover;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    @media (prefers-color-scheme: dark) {
        border: 1px solid #a0a0a0;
        transition: 0.5s ease;
    }
}

.list-image:hover {
    @media (prefers-color-scheme: dark) {
        border: 1px solid #ffffff;
    }
}

.list-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.5s ease;
}

.list-image:hover img {
    transform: scale(1.1);
}

a.list-link, a.list-image:visited {
    color: #808080;
    text-decoration: none;
    transition: 0.5s;
    text-align: left;
    margin-left: 15px;
    margin-top: auto;
    margin-bottom: auto;
    vertical-align: middle;
    font-size:20px;
    @media (prefers-color-scheme: dark) {
        color: #a0a0a0;
    }
}

a.list-link:hover {
    color: #252525;
    @media (prefers-color-scheme: dark) {
        color: #ffffff;
    }
}